package com.zh.project0512.controller.manage;


import com.zh.project0512.annotation.AdminTokenValid;
import com.zh.project0512.service.IVideoEffectSettingService;
import com.zh.project0512.utils.result.Result;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zh
 * @since 2022-06-14
 */
@Tag(name = "视频传播系数管理")
@RestController
@RequestMapping("/videoEffectSetting")
public class VideoEffectSettingController {
@Autowired
    private IVideoEffectSettingService videoEffectSettingService;
    @Operation(summary = "列表")
    @PostMapping("/list")
    @AdminTokenValid
    public Result list() {
        return Result.success(videoEffectSettingService.list());
    }
}
